function uninstall_rapidstm32(inputflag)

% RapidSTM32 uninstallation function
%
% This function remove RapidSTM32 path and the installation directory
% i.e. drive:\rapidstm32 where drive is the root directory of a harddisk
% drive of Matlab root directory.

drv = matlabroot;
drv = drv(1:2);

pidir = fullfile(drv, 'rapidstm32'); % RapidSTM32 Install Directory

p{1} = fullfile(drv, 'rapidstm32', 'blocks','tlc_c');
p{2} = fullfile(drv, 'rapidstm32', 'blocks');
p{3} = fullfile(drv, 'rapidstm32', 'rapidstm32', 'utils', 'make381');
p{4} = fullfile(drv, 'rapidstm32', 'rapidstm32', 'src');
p{5} = fullfile(drv, 'rapidstm32', 'rapidstm32');
p{6} = fullfile(drv, 'rapidstm32', 'rapidstm32', 'utils', 'gps');

disp('Removing previous RapidSTM32 path ...')
pause(0.1)
for i = 1:length(p)
    if strfind(path,p{i})
        rmpath(p{i});
    end
end

savepath;
sl_refresh_customizations; % refresh to update newly registered device
rehash toolboxcache

if exist(pidir, 'dir')
    disp('Removing previous RapidSTM32 installation...')
    rmdir(pidir,'s')
    final_uninstall_str = 'Previous RapidSTM32 installation completely removed.';
else
    final_uninstall_str = 'There is no previous RapidSTM32 installation detected.';
end
disp(final_uninstall_str);
if (nargin < 1)
    uiwait(helpdlg(final_uninstall_str,'Installation Complete'));
end


